# ifndef CheckSentryTestCase_h
# define CheckSentryTestCase_h
#include "TestHeader.h"
class CheckSentryTestCase:
  public TestCase
{
public:
  CheckSentryTestCase (std::string name="") : TestCase (name) {}
  static Test		*suite ();
protected:
  void findKings();
  void simpleChecks();
  void queenChecks();
  void rookChecks();
  void otherChecks();
  void castling();
  void enPassant();
};
#endif
